com.amazonaws.services.codedeploy.model

## Class GetOnPremisesInstanceResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.codedeploy.model.GetOnPremisesInstanceResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class GetOnPremisesInstanceResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

Represents the output of a get on-premises instance operation.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GetOnPremisesInstanceResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`GetOnPremisesInstanceResult` `clone()`
`boolean` `equals(Object obj)`
`InstanceInfo` `getInstanceInfo()` Information about the on-premises instance.
`int` `hashCode()`
`void` `setInstanceInfo(InstanceInfo instanceInfo)` Information about the on-premises instance.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`GetOnPremisesInstanceResult` `withInstanceInfo(InstanceInfo instanceInfo)` Information about the on-premises instance.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GetOnPremisesInstanceResult

    public GetOnPremisesInstanceResult()

### Method Detail

#### setInstanceInfo

    public void setInstanceInfo(InstanceInfo instanceInfo)

Information about the on-premises instance.

Parameters:
  `instanceInfo` - Information about the on-premises instance.

#### getInstanceInfo

    public InstanceInfo getInstanceInfo()

Information about the on-premises instance.

Returns:
  Information about the on-premises instance.

#### withInstanceInfo

    public GetOnPremisesInstanceResult withInstanceInfo(InstanceInfo instanceInfo)

Information about the on-premises instance.

Parameters:
  `instanceInfo` - Information about the on-premises instance.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public GetOnPremisesInstanceResult clone()

Overrides:
  `clone` in class `Object`